New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installation Problem: [title] #6861

Closed
behzodjon opened this Issue Dec 30, 2018 · 3 comments

Comments

Projects
None yet
5 participants
@behzodjon
Copy link

behzodjon commented Dec 30, 2018

Which operating system are you using:
Ubuntu 16.04

Please describe the steps you took when trying to install Yarn and what went wrong:
unable to install yarn

@heupr heupr bot assigned torifat Jan 1, 2019

@heupr heupr bot added the triaged label Jan 1, 2019

@traceypooh

This comment has been minimized.

Copy link

traceypooh commented Jan 1, 2019

confirmed - please fix! :)
seems like your key expired? (if so, happy new year ;-)

docker run --rm -it ubuntu:xenial bash -c '( apt-get update && apt-get -y upgrade && apt-get -y install curl apt-transport-https add-apt-key && curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg |apt-key add - && echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list && apt-get update ) || bash'

Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
...
Setting up add-apt-key (1.0-0.5) ...
Setting up curl (7.47.0-1ubuntu2.11) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for ca-certificates (20170717~16.04.1) ...
Updating certificates in /etc/ssl/certs...
148 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
OK
deb https://dl.yarnpkg.com/debian/ stable main
Get:1 https://dl.yarnpkg.com/debian stable InRelease [13.3 kB]
Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease              
Hit:3 http://archive.ubuntu.com/ubuntu xenial InRelease                  
Ign:1 https://dl.yarnpkg.com/debian stable InRelease
Get:4 https://dl.yarnpkg.com/debian stable/main amd64 Packages [8168 B]
Hit:5 http://archive.ubuntu.com/ubuntu xenial-updates InRelease                  
Get:6 https://dl.yarnpkg.com/debian stable/main all Packages [8168 B]            
Hit:7 http://archive.ubuntu.com/ubuntu xenial-backports InRelease              
Fetched 29.7 kB in 0s (32.9 kB/s)                 
Reading package lists... Done
W: GPG error: https://dl.yarnpkg.com/debian stable InRelease: The following signatures were invalid: KEYEXPIRED 1507181400  KEYEXPIRED 1546376218  KEYEXPIRED 1546372003  KEYEXPIRED 1546372003  KEYEXPIRED 1507181400  KEYEXPIRED 1546376218  KEYEXPIRED 1546372003  KEYEXPIRED 1507181400  KEYEXPIRED 1546376218  KEYEXPIRED 1546372003
W: The repository 'https://dl.yarnpkg.com/debian stable InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
@ElectronicWar

This comment has been minimized.

Copy link

ElectronicWar commented Jan 1, 2019

Same issue with Debian repository, GPG key is expired

@Daniel15

This comment has been minimized.

Copy link
Member

Daniel15 commented Jan 2, 2019

Will track this in #6865

@Daniel15 Daniel15 closed this Jan 2, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment